const app = getApp()
Page({
    data: {
        id: '',
        // 用户信息
        user: {},
        list: [],
    },
    /**
     * 生命周期函数--监听页面加载
     */
    async onLoad(options) {
        const that = this;
        that.setData({ id: options.id });
    },
    /**
    * 生命周期函数--监听页面显示
    */
    async onShow() {
        const that = this;
        wx.showLoading({ title: '加载中', mask: true })
        await that.searchUser()
        await that.search()
        wx.hideLoading()
    },
    async searchUser() {
        const that = this;
        wx.getStorage({
            key: 'user',
            async success(res) {
                that.setData({ user: res.data })
            },
            fail(err) {
                // console.log(err);
            }
        })
    },
    // 查询通知
    async search() {
        const that = this;
        let res = await app.$api('course/ranking', 'GET', { match_id: that.data.id })
        if (res.errcode == '0') that.setData({ list: res.data.scoreList })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },


    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})